Fetch.Style (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.hibernate.engine.profile
Enum Fetch.Style

    java.lang.Object
      java.lang.Enum<Fetch.Style>
          org.hibernate.engine.profile.Fetch.Style

All Implemented Interfaces:
  Serializable, Comparable<Fetch.Style>

Enclosing class:
  Fetch

    public static enum Fetch.Style

extends Enum<Fetch.Style>

The type or style of fetch. For the moment we limit this to join and select, though technically subselect would be valid here as as well; however, to support subselect here would require major changes to the subselect loading code (which is needed for other things as well anyway).

Enum Constant Summary
`JOIN`
`SELECT`

Method Summary
`static Fetch.Style` | `parse(String name)`
`String` | `toString()`
`static Fetch.Style` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Fetch.Style[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### JOIN

    public static final Fetch.Style JOIN

### SELECT

    public static final Fetch.Style SELECT

Method Detail

### values

    public static Fetch.Style[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Fetch.Style c : Fetch.Style.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Fetch.Style valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<Fetch.Style>`

### parse

    public static Fetch.Style parse(String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.